Bug 979665 - Review Request: perl-Data-MessagePack - MessagePack serialising/deserialising
Review Request: perl-Data-MessagePack - MessagePack serialising/deserialising
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 979666
  Show dependency treegraph
 
Reported: 2013-06-29 04:37 EDT by Christopher Meng
Modified: 2014-02-20 08:46 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-Data-MessagePack-0.47-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-14 20:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-29 04:37:28 EDT
Spec URL: http://cicku.me/perl-Data-MessagePack.spec
SRPM URL: http://cicku.me/perl-Data-MessagePack-0.47-1.fc20.src.rpm
Description: This module converts Perl data structures to MessagePack and vice versa.
Fedora Account System Username: cicku
Comment 1 Parag AN(पराग) 2013-07-03 07:00:42 EDT
Review:

+ mock build is successful for f20

+ rpmlint output on rpms gave
perl-Data-MessagePack.src: W: spelling-error Summary(en_US) serialising -> serializing, serialization
perl-Data-MessagePack.src: W: spelling-error Summary(en_US) deserialising -> serializing
perl-Data-MessagePack.src: W: spelling-error %description -l en_US versa -> avers, verse, verso
perl-Data-MessagePack.src: W: invalid-url URL: http://search.cpan.org/dist/Data-MessagePack/ <urlopen error [Errno -2] Name or service not known>
perl-Data-MessagePack.src: W: invalid-url Source0: http://www.cpan.org/authors/id/G/GF/GFUJI/Data-MessagePack-0.47.tar.gz <urlopen error [Errno -2] Name or service not known>
perl-Data-MessagePack.x86_64: W: spelling-error Summary(en_US) serialising -> serializing, serialization
perl-Data-MessagePack.x86_64: W: spelling-error Summary(en_US) deserialising -> serializing
perl-Data-MessagePack.x86_64: W: spelling-error %description -l en_US versa -> avers, verse, verso
perl-Data-MessagePack.x86_64: W: invalid-url URL: http://search.cpan.org/dist/Data-MessagePack/ <urlopen error [Errno -2] Name or service not known>
perl-Data-MessagePack-debuginfo.x86_64: W: invalid-url URL: http://search.cpan.org/dist/Data-MessagePack/ <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 10 warnings.
==> looks clean

+ Source verified with upstream as (sha256sum)
srpm tarball     : 47225ee51263bd78324a0f2a3de800bf53344dc597cb64d58661e711bbab9ca8
upstream tarball : 47225ee51263bd78324a0f2a3de800bf53344dc597cb64d58661e711bbab9ca8

+ License "GPL+ or Artistic" is valid and included in source files.

+ rest follows packaging guidelines

+ make test is successful with output
All tests successful.

+ Package perl-Data-MessagePack-0.47-1.fc20
Provides: perl(Data::MessagePack) = 0.47 perl(Data::MessagePack::Boolean) perl(Data::MessagePack::PP) perl-Data-MessagePack = 0.47-1.fc20 perl-Data-MessagePack(x86-64) = 0.47-1.fc20

Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.4)(64bit) perl >= 0:5.008001 perl(B) perl(Carp) perl(Config) perl(strict) perl(warnings) rtld(GNU_HASH)

suggestions:
1) I don't think you need BuildRequires: perl, it will get pulled into build environment.

2) you don't need versions in BR: or Requires:

APPROVED.
Comment 2 Christopher Meng 2013-07-03 08:12:17 EDT
New Package SCM Request
=======================
Package Name: perl-Data-MessagePack
Short Description: MessagePack serialising/deserialising
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 3 Gwyn Ciesla 2013-07-03 09:15:53 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-07-05 08:17:28 EDT
perl-Data-MessagePack-0.47-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Data-MessagePack-0.47-1.fc19
Comment 5 Fedora Update System 2013-07-05 08:18:22 EDT
perl-Data-MessagePack-0.47-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Data-MessagePack-0.47-1.fc18
Comment 6 Fedora Update System 2013-07-05 20:52:42 EDT
perl-Data-MessagePack-0.47-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Fedora Update System 2013-07-14 20:59:01 EDT
perl-Data-MessagePack-0.47-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 8 Fedora Update System 2013-07-14 21:08:51 EDT
perl-Data-MessagePack-0.47-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Christopher Meng 2014-01-23 20:34:30 EST
Package Change Request
======================
Package Name: nbd
New Branches: epel7
Owners: cicku
Comment 10 Gwyn Ciesla 2014-01-24 07:43:57 EST
Git done (by process-git-requests).
Comment 11 Christopher Meng 2014-02-19 22:11:25 EST
Package Change Request
======================
Package Name: perl-Data-MessagePack
New Branches: epel7
Owners: cicku

Just found comment 9 was a mistake...
Comment 12 Gwyn Ciesla 2014-02-20 08:46:28 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.